Get Personalities
Retrieve personalities for a specific identity
GET https://api.orwel.io/api/v1/identities/{id}/personalities
Path Parameters
idstringpathrequiredThe unique identifier of the identity
Response
dataarrayArray of visitor persona objects
Request
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/personalities" \
-H "Authorization: Bearer orwel_sk_YOUR_KEY"const response = await fetch(
'https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/personalities',
{
headers: {
'Authorization': 'Bearer orwel_sk_YOUR_KEY'
}
}
);
const data = await response.json();Response
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"visitor_id": "660e8400-e29b-41d4-a716-446655440001",
"score": 85.5,
"personality": {
"type": "Analyst",
"traits": ["detail-oriented", "logical"]
},
"features": {},
"learning_percentage": 0.75,
"created_at": "2025-01-10T08:00:00Z"
}
]
}